------------------------------------------------------------------------------------
--Name:  	210913[简体征服][活动脚本]全球万圣节活动--事件1-6
--Creator:	杨艳
--Created:	2021-09-13
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(44+21, 41+21)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

CppScriptMgr:AddEffect("moveallaying", 42+21, 42+21)
CppScriptMgr:AddEffect("gssswq_xunhuan5", 42+21, 42+21)


local stone = CppScriptMgr:AddSimplePlayer(4990, 45+21,45+21, "Awakening Stone")
local younian = CppScriptMgr:AddSimplePlayer(4987, 46+21,34+21, "Small Myers")
local qingnian = CppScriptMgr:AddSimplePlayer(1064666, 34+21,44+21, "Young Myers")
local zhongnain = CppScriptMgr:AddSimplePlayer(1050142, 57+21,43+21, "Aged Myers")
qingnian:SetDir(6)
stone:SetZoomPercent(200)
zhongnain:SetDir(2)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("gssswq_xunhuan3", 42+21, 42+21)
CppScriptMgr:AddEffect("moveallaying", 46+21, 34+21)
CppScriptMgr:WaitMilSec(500)

younian:Say("I feel ill!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("gssswq_xunhuan4", 42+21, 42+21)
CppScriptMgr:AddEffect("moveallaying", 34+21, 44+21)
CppScriptMgr:WaitMilSec(500)
qingnian:SetAction(401)
CppScriptMgr:WaitMilSec(500)
qingnian:SetAction(401)
CppScriptMgr:WaitMilSec(500)

qingnian:Say("What are you doing here!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("gssswq_xunhuan2", 42+21, 42+21)
CppScriptMgr:AddEffect("moveallaying", 57+21,43+21)
CppScriptMgr:WaitMilSec(500)

zhongnain:SetAction(220)
CppScriptMgr:WaitMilSec(500)
zhongnain:SetAction(220)
zhongnain:Say("What is this!", 2000)
CppScriptMgr:WaitMilSec(500)
zhongnain:SetAction(220)
CppScriptMgr:WaitMilSec(500)
zhongnain:SetAction(220)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(500)
zhongnain:SetAction(220)
CppScriptMgr:WaitMilSec(500)
zhongnain:SetAction(220)





